
Ryzom - Bug # 960

Status: Closed Priority: Low
Author: vbmithr Category: OS: GNU/Linux
Created: 06/04/2010 Assignee: kervala
Updated: 07/28/2010 Due date:
Subject: mapping accentued keys to actions in game
Description

In game, when mapping the key "é" to a deplacement action, the letter does not display in the menu when setting it (contrary to the
case of non accentued letters). However it works. But when chatting, using the letter é will make my character go forward, and that’s
not the case if I map the same action to a non-accentued letter.

History
#1 - 06/04/2010 09:09 am - kervala

The fact "é" is not displayed in key configuration window is normal, beacause it's using keycodes so it displays the name of the key instead of its
content.

But if you move when typing something in chat window, it should be a bug :)

#2 - 06/05/2010 02:56 am - vbmithr

And then "é" has no name and only a content ? I admit that I don’t know anything here :)

#3 - 06/06/2010 09:28 am - kervala

Hum, are you running the client under Windows or Linux ?

Perhaps, it's related to "unicode" character.

#4 - 06/11/2010 09:44 am - kervala
- Category changed from Client: General to NeL: General
- Status changed from New to Assigned
- Assignee set to kervala

#5 - 06/11/2010 09:46 am - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r318.

#6 - 06/11/2010 09:47 am - kervala
- Target version set to Version 0.8.0

#7 - 07/18/2010 10:30 am - kervala
- Status changed from Resolved to Closed

#8 - 07/28/2010 04:56 pm - kervala
- Category changed from NeL: General to OS: GNU/Linux
